function setCheckBoxStatus(checkboxID, status)
{
	$('input[name=' + checkboxID + ']').attr('checked', status);
}

function toggleCheckBoxStatus(checkboxID)
{
	var $checkbox = $('input[name=' + checkboxID + ']');
	$checkbox.attr('checked', !$checkbox.attr('checked'));
}

function getCheckBoxStatus(checkboxID)
{
	if($('input[name=' + checkboxID + ']').attr('checked') == 'checked')
	{
		return true;
	}
	else
	{
		return false;
	}	
}

function addTableCheckBoxRow(tableID, checkboxID, name)
{ 	
	//&#39; --> ' equivalent
	var html = "<tr onClick='toggleCheckBoxStatus(&#39;" + checkboxID + "&#39;)';><td><input type='checkbox' id='" + checkboxID + "' name='" + checkboxID + "' value='" + name + "' />" + name + "</td></tr>";
    $("#" + tableID).append(html);    
}	

function setComboBoxSelectedValue(ddlID, value) {
	var ddl = document.getElementById(ddlID);
	for (var i = 0; i < ddl.options.length; i++) {
		if (ddl.options[i].value == value) {
			if (ddl.selectedIndex != i) {
				ddl.selectedIndex = i;
			}
			break;
		}
	}
}

function getInputValue(id)
{
	var input = document.getElementById(id);
	if(input == null) return "";
	else
		return input.value;
}

function getComboBoxSelectedValue(id)
{
	var combobox = document.getElementById(id);
	if(combobox == null) return "";
	else
		return combobox.options[combobox.selectedIndex].value;
}

function setAttributeValue(id, val)
{
	var elem = $("#" + id);
	if(elem.is("input"))
		elem.val(val);
	else if(elem.is("span"))
		elem.text(val);
	attributeChanged(id, val);
}

function incAttributes(tableID, inc, maxVal)
{
	//$('#' + tableID +' .coloredAttribute').each(function(index) {
	$('#' + tableID + ' input').each(function(index) {
		var elemID = $(this).attr('id');
		var value = parseInt($(this).val()) + inc;
		if(value < 1) 
		{
			$(this).val(1);
			attributeChanged(elemID, 1);
		}
		else if(value <= maxVal)
		{
	    	$(this).val(value);
	    	attributeChanged(elemID, value);
	    }
	    else
	    {
	    	$(this).val(maxVal);
	    	attributeChanged(elemID, maxVal);
	    }
	});	
}

function setAttributesValue(tableID, val)
{
	//$('#' + tableID +' .coloredAttribute').each(function(index) {
	$('#' + tableID + ' input').each(function(index) {
    	$(this).val(val);
    	var elemID = $(this).attr('id');
    	attributeChanged(elemID, val);
	});	
}

function SelectTab(itemId)
{
	$("#tabs").tabs( 'select' , "#" + itemId )
}
function HideItem(itemId)
{
	$("#" + itemId).hide();
}

function ShowItem(itemId)
{
	$("#" + itemId).show();
}

function SetItemText(itemId, txt)
{
	$("#" + itemId).text(txt);
}

function braca(tableID, args, type)
{
    var total = args.length;
    var i=0;
    var tmp = ""
    var data = "";
    for (i=0;i<total;i++)
    {
    	var j = 0;
    	var totalJ = args[i].length;
    	var uid = args[i][0];
    	var rowData = "";
    	for(j = 0; j<totalJ; j++)
    	{
    		rowData = rowData + "<td>" + args[i][j] + "</td>";    		
    	}
    	//notifyApp("<tr id='" + uid + "' onclick='searchItemSelected(this.id, \"" + type + "\")'>" + rowData + "</tr>");
    	data = data + "<tr id='" + uid + "' onDblClick='searchItemSelected(this.id, \"" + type + "\")'>" + rowData + "</tr>";    
    }
    $("#" + tableID).append(data);
}

function addTableRowa(tableID, rowData, uid, type)
{ 
	/* parent.MainWindowController.showMessage_("-->" + tableID + "-->" + rowData);   */
    $("#" + tableID).append("<tr id='" + uid + "' onDblClick='searchItemSelected(this.id, \"" + type + "\")'>" + rowData + "</tr>");    
}	

function startNewSearch()
{
    var searchFor = $("#searchBox").attr("value");
    alert(searchFor);
	window.MainWindowController.startNewSearch_("" + searchFor);
}

/* Tables Management */
function addTableColumnsByArray(tableID, columnsArray)
{
    var total = columnsArray.length;
    var i=0;
    for (i=0;i<total;i++)
    {
        $("#" + tableID + " tr:first").append("<th>" + columnsArray[i] + "</th>");
    }
}

function addTableColumns(tableID, columns)
{
    $("#" + tableID + " tr:first").append(columns);//"<th>" + columnsArray[i] + "</th>");
}

function setTableColumns(tableID, columns)
{
    $("#" + tableID + " tr:first").html(columns);//"<th>" + columnsArray[i] + "</th>");
}

function addTableRowArray(tableID, contentsArray)
{
    var total = contentsArray.length;
    var i=0;
    var tmp = ""
    for (i=0;i<total;i++)
    {
        tmp = tmp + "<td>" + contentsArray[i]  +"</td>";
    }
    $("#" + tableID).append("<tr>" + tmp + "</tr>");
}	        

/* Attributes changed */
var attributesChanged = []; 

function attributeChanged(id, val)
{
	try
	{
		var tmp = id + "=" + val;
		attributesChanged.push(tmp);
	}
	catch(err)
	{
		notifyApp("ERROR : " + err);
	}
}

function attributeChanged_Aux(idAndValue)
{
	try
	{
		attributesChanged.push(idAndValue);
	}
	catch(err)
	{
		notifyApp("ERROR : " + err);
	}
}

function notifyApp(message)
{
	try
	{
		if(parent != null && parent.MainWindowController != null)
			parent.MainWindowController.showMessage_("" + message);
		else if(window.MainWindowController != null)
			window.MainWindowController.showMessage_("" + message);
		else
			alert(message);
	}
	catch(err)
	{
		alert(err);
	}
}

function openURLOutsideFMRTE(url)
{
	try
	{
		if(parent != null && parent.MainWindowController != null)
			parent.MainWindowController.openURLOutsideFMRTE_("" + url);
		else if(window.MainWindowController != null)
			window.MainWindowController.openURLOutsideFMRTE_("" + url);
	}
	catch(err)
	{
		alert(err);
	}
}

function notifySubTabEvent(event, value)
{
	if(parent != null && parent.MainWindowController != null)
		parent.MainWindowController.notifySubTabEvent_(event, value);
	else if(window.MainWindowController != null)
		window.MainWindowController.notifySubTabEvent_(event, value);
	else
		alert(event, value);
}

function getAttributesChanged()
{
	var ret = attributesChanged.toString();
	attributesChanged = [];
	return ret;
}

/* Attributes Colors */
function colorizedAttributeChanged(id, value)
{
	try
	{
		colorizeField(id, value);
		attributeChanged(id, value);
	}
	catch(err)
	{
		alert(err);
	}	    
}

function colorizeField(id, value)
{
	try{
	    var valStr = "" + value;
	    var val = parseInt(valStr);
	    var removeClasses = "attributeValue_low_attribute attributeValue_normal_attribute attributeValue_good_attribute attributeValue_excellent_attribute";
	    if(isNaN(val))
	        val = 0;
	    if(val <= 5)
	        $("#" + id).removeClass(removeClasses).addClass("attributeValue_low_attribute");
	    else if(val <= 10)
	        $("#" + id).removeClass(removeClasses).addClass("attributeValue_normal_attribute");
	    else if(val <= 15)
	        $("#" + id).removeClass(removeClasses).addClass("attributeValue_good_attribute");
	    else if(val <= 20)            
	        $("#" + id).removeClass(removeClasses).addClass("attributeValue_excellent_attribute");
    }
	catch(err)
	{
		notifyApp("ERROR colorizeField: " + err);
	}        
}
    
function colorizeAttributes()
{
	try
	{
	    $('.coloredAttribute').each(function(index) {
	        var id = $(this).attr("id");
	        var value = $(this).attr("value");
	        colorizeField(id,value);
	    });
    }
    catch(err)
    {
    	notifyApp("ERROR colorizeField: " + err);
    }
}

function setCurrencySymbol(symb)
{
	$(".currencySymb").text(symb);
}

/* Top Bar Links Management */
function setTopBarTitle(title)
{
	$("#topBarTitle").text(title);
}

function setTopBarColor(backcolor, fontcolor)
{
//	notifyApp("Alterar cores para: " + backcolor);
	$("#top_nav").css("background-color",backcolor);
	$("#top_nav,#top_nav a").css("color",fontcolor);	
}

function setTopBarNationLink(name, link, flagId)
{
	$("#topBarNationLink").attr("href", link);
	$("#topBarNationLink").text(name);
	$('#topBarNationFlagImg').attr("src", 'images/logos/nations/flags/small/' + flagId + '.png');
}

function setTopBarClubLink(name, link)
{
	$("#topBarClubLink").attr("href", link);
	$("#topBarClubLink").text(name);
}

function hideTopBarLinks()
{
	$("#subTitlesContainer").hide();
}

function hideTopBarSeparatorAndSubTitleTwo()
{
	$("#topBarSubTitleSep").hide();
	$("#topBarClubLink").hide();	
}

function showTopBarLinks()
{
	$("#topBarSubTitleSep").show();
	$("#topBarClubLink").show();	
	$("#subTitlesContainer").show();
}

function subTitleOneItemSelected(item)
{
	try
	{
		if(parent != null && parent.MainWindowController != null)
			parent.MainWindowController.subTitleOneItemSelected_(item);
		else if(window.MainWindowController != null)
			window.MainWindowController.subTitleOneItemSelected_(item);
	}
	catch(err)
	{
		notifyApp(err);
	}
}

function subTitleTwoItemSelected(item)
{
	try
	{
		if(parent != null && parent.MainWindowController != null)
			parent.MainWindowController.subTitleTwoItemSelected_(item);
		else if(window.MainWindowController != null)
			window.MainWindowController.subTitleTwoItemSelected_(item);
	}
	catch(err)
	{
		notifyApp(err);
	}
}

//Disable the default behavior of topbar links..
$(function(){

//	setTopBarColor('white', 'red');
//	hideTopBarLinks();
	$('#topBarNationLink, #topBarNationFlag').click(function(e) {
	    e.preventDefault();
		subTitleOneItemSelected($("#topBarNationLink").attr("href"));
	});		
	//
	$('#topBarClubLink').click(function(e) {
	    e.preventDefault();
		subTitleOneItemSelected($("#topBarClubLink").attr("href"));		
	});				
});

/* Other functions */

function fixTables()
{
	$(".stripeMe tr:even").addClass("alt");	
}

function createDefaultDatePicker(id)
{
	try
	{
		var dataFormatStr = "dd/mm/yy";
		var datePicker = $("#" + id);
		datePicker.datepicker({
			changeMonth: true,
			changeYear: true,
			showOtherMonths: true,
			selectOtherMonths: true,				
			minDate: "-500Y", 
			maxDate: "+500Y",
			dateformat: dataFormatStr,
			showAnim: 'slideDown'
		});		
	
		var currentDate = $.datepicker.parseDate(dataFormatStr, datePicker.val());
		datePicker.datepicker("setDate", currentDate );
		datePicker.datepicker( "option", "dateFormat", dataFormatStr );			
	}
	catch(err)
	{
//		notifyApp(err);
	}			
//	setDatePickerValue(id, 1984, 2,3);
}

function setElementValueByID(id, val)
{
	var elem = $("#" + id);
	if(elem.is("input"))
		elem.val(val);
	else if(elem.is("span"))
		elem.text(val);
	else if(elem.is("button"))
		elem.text(val);
}

function clearComboBox(id)
{
    $("#" + id).empty();        
}

function addItemsCombo(comboID, itemsList, separator, selectedValue)
{
//            alert(itemsList);
	//mostrarMensagemApp("OI");
	//mostrarMensagemApp(itemsList);
	$("#" + comboID).html("");
    var itemsArray = itemsList.split(separator);
    var total = itemsArray.length;
    var i=0;
    for (i=0;i<total;i++)
    {
        //split to get the mem value and the prop name..
        var itemTokens = itemsArray[i].split("=");
        if(itemTokens.length == 2)
        {
//                    alert(itemsArray[i]);
            $("<option value='" + itemTokens[1] + "'>" + itemTokens[0] + "</option>").appendTo("#" + comboID);
        }
    }
    if(selectedValue != null)
        $("#" + comboID).val(selectedValue);
}

/* -------------------------------- */
/* Search and Teams Lists functions */
/* -------------------------------- */
function clearTable(tableID)
{
	$("#" + tableID).find("tr:gt(0)").remove();
}

function searchItemSelected(itemID, type)
{
	parent.MainWindowController.searchPlayerSelected_(itemID, type);
} 

function addSearchRow(tableID, items)
{
    var $user_table = $("#" + tableID);  
    var $row = $("<tr></tr>");

    var itemsArray = items;//.split(separator);
    var total = itemsArray.length;
    var i=0;
    for (i=0;i<total;i++)
    {
        var $cell = $("<td></td>");        
        $cell.text(itemsArray[i]);
        $row.append($cell);            
    }
 

    $user_table.append($row);
}
		
function addTableRow(tableID, rowData, uid, type)
{ 
	/* parent.MainWindowController.showMessage_("-->" + tableID + "-->" + rowData);   */
    $("#" + tableID).append("<tr id='" + uid + "' onDblClick='searchItemSelected(this.id, \"" + type + "\")'>" + rowData + "</tr>");    
}		 

function addPlayerTableRow(tableID, rowData, uid)
{ 
	/* parent.MainWindowController.showMessage_("-->" + tableID + "-->" + rowData);   */
    $("#" + tableID).append("<tr id='" + uid + "' onDblClick='searchItemSelected(this.id, \"p\")'>" + rowData + "</tr>"); 
}		 


function makeTableCliclable(tableID, type)
{
    $('#' + tableID + ' tr').click(function() {
        var id = $(this).attr("id");
        if(!id) {
        	id = $(this).parent().attr("id");
        }
        if(id) {
            searchItemSelected(id, type);
        }
    });
}

function updateTablesEffects(tableID)
{   			
	//$(".stripeMe tr:even").addClass("alt");		
	try
	{
		$('#' + tableID).trigger("update");
		$('table').trigger("update");
		
		$(".sortTable:has(tbody tr)").tablesorter({
			widgets: ['zebra']
		});
        
        $('#' + tableID).trigger("update");    
        $('table').trigger("update");
	   //$(".stripeMe tr").mouseover(function(){$(this).addClass("over");}).mouseout(function(){$(this).removeClass("over");});		     
	   
		//  Adds "over" class to rows on mouseover
		$(".stripeMe tr").mouseover(function(){
			$(this).addClass("over");
		});
		
		//  Removes "over" class from rows on mouseout
		$(".stripeMe tr").mouseout(function(){
			$(this).removeClass("over");
		});			   
		

	}
	catch(err)
	{
	   //JavaScript Errors handling code will be here
		parent.MainWindowController.showMessage_("updateTablesEffects, " + err.stack);
	}    			
}

/* ---------------------- */
/* Checkboxes value		  */
/* ---------------------- */
function setCheckBox(id, value)
{
//	notifyApp("" + id + "-" + value);
	$("#" + id).attr('checked', value);
}

function disableCheckBox(id)
{
	$("#" + id).prop('disabled', true);
}

function enableCheckBox(id)
{
	$("#" + id).prop('disabled', false);
}


/* ---------------------- */
/* Prevent text selection */
/* ---------------------- */
(function($){

$.fn.ctrl = function(key, callback) {
    if(typeof key != 'object') key = [key];
    callback = callback || function(){ return false; }
    return $(this).keydown(function(e) {
        var ret = true;
        $.each(key,function(i,k){
            if(e.keyCode == k.toUpperCase().charCodeAt(0) && e.ctrlKey) {
                ret = callback(e);
            }
        });
        return ret;
    });
};


$.fn.disableSelection = function() {
    $(window).ctrl(['a','s','c']);
    return this.each(function() {           
        $(this).attr('unselectable', 'on')
               .css({'-moz-user-select':'none',
                    '-o-user-select':'none',
                    '-khtml-user-select':'none',
                    '-webkit-user-select':'none',
                    '-ms-user-select':'none',
                    'user-select':'none'})
               .each(function() {
                    $(this).attr('unselectable','on')
                    .bind('selectstart',function(){ return false; });
               });
    });
};

$(':not(input,select,textarea)').disableSelection();
})(jQuery);

/* -------------------------------- */
/* Prevent Opening Links on webview */
/* -------------------------------- */
$(function() {
	$(".openOutsideFMRTE").click(function(event) {
		  event.preventDefault();
		  openURLOutsideFMRTE($(this).attr('href'));
	});
});


/* -------------------------------- */
/*         Loading Dialogs          */
/* -------------------------------- */
$(document).ready(function() {
	var $dialog = $('<div class="loadingDialog" style="background: #F0F1F2; text-align: center;"></div>')		
    .html('<br/><span style="font-size:12pt;">Loading…</span><br><br><br><img src="images/spinner.gif"/>')
		
		.dialog({
				autoOpen: false,
				dialogClass: 'loadingDialog',
				resizable: false,
				modal: true
		});
});

function showLoadingDialog()
{
	$('.loadingDialog').dialog('open');
	$('.loadingDialog div.ui-dialog-titlebar').hide();		
}

function hideLoadingDialog()
{
	$('.loadingDialog').dialog('close');
}

$(window).load(function(){  
	try
	{
		if(parent != null && parent.MainWindowController != null)
			parent.MainWindowController.mainPageLoaded_();
		else if(window.MainWindowController != null)
			window.MainWindowController.mainPageLoaded_();
//		else
//			notifyApp();
	}
	catch(err)
	{
		alert(err);
	}
});  

function notifyAppEventOccoured(evt, val)
{
	try
	{
		if(parent != null && parent.MainWindowController != null)
			parent.MainWindowController.notifyAppEventOccoured_(evt, val);
		else if(window.MainWindowController != null)
			window.MainWindowController.notifyAppEventOccoured_(evt, val);
//		else
//			notifyApp();
	}
	catch(err)
	{
		notifyApp(err);
	}
}
